Skip to content
Last updated

Transitions inProcess

api-version: 1.0

Retrieves transitions of a specific element.

GET /{collectionId}/{storageId}/_api/release/{elementId}/transitions

Parameters

NameInRequiredTypeDescription
collectionIdpathtruestringThe ID of the storage collection.
storageIdpathtruestringThe ID of the tenant.
elementIdpathtruestringThe ID of the element.

Responses

Success 200

NameTypeDescription
countintegerThe number of returned values.
valuesTransitionThe list of transitions.

Error 4xx

NameTypeDescription
messagestringThe error message
outputOperationResultOutputThe result output.
typeOperationResultTypeThe result type.
dataOperationErrorThe list of errors.

Examples

Request

GET https://demo.symbioworld.com/pz/showcase/_api/rest/release/f2f5c58e-8624-416a-b3d6-0f6bf480937a/transitions

Response (200 OK)

{
    "count": 6,
    "values": [
        {
            "transitionId": "InProcessToInReview",
            "sourceState": "inProcess",
            "targetState": "inReview"
        },
        {
            "transitionId": "InProcessToReadyForQA",
            "sourceState": "inProcess",
            "targetState": "readyForQa"
        },
        {
            "transitionId": "InProcessToReadyForRelease",
            "sourceState": "inProcess",
            "targetState": "readyForRelease"
        },
        {
            "transitionId": "InProcessToReleased",
            "sourceState": "inProcess",
            "targetState": "released"
        },
        {
            "transitionId": "InProcessToReleasedQA",
            "sourceState": "inProcess",
            "targetState": "released"
        },
        {
            "transitionId": "InProcessToReleasedExternal",
            "sourceState": "inProcess",
            "targetState": "released"
        }
    ]
}

Request

POST https://demo.symbioworld.com/pz/showcase/_api/rest/release/664fd624-d341-4521-b430-897bb16399f4/transitions

Response (200 OK)

{
    "count": 1,
    "transitions": [
        {
            "transitionId": "ReleasedToRequestToExpire",
            "sourceState": "released",
            "targetState": "requestToExpire"
        }
    ]
}

Definitions

Transition

NameTypeDescription
transitionIdstringThe ID of the transition.
sourceStatestringThe source state of the transition.
targetStatestringThe target state of the transition.

OperationResultOutput

NameType
volatilestring
permanentstring
dialogstring
inlinestring

OperationResultType

NameType
criticalstring
errorstring
warningstring
successstring
unauthorizedstring

OperationError

NameTypeDescription
errorstringThe error message.